summaryrefslogtreecommitdiff
path: root/tcwg-benchmark.sh
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2022-05-24 11:57:38 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2022-05-24 18:11:45 +0000
commit346608d4856f9c287a8bbba31a067bce9c485b00 (patch)
tree4a5944241f35e232a13b4c0f4876ddf972475a88 /tcwg-benchmark.sh
parent9ba018fab2ad06c440ea993c49bf1e271f10d524 (diff)
tcwg-benchmark.sh: Update after changes to dockerfiles and bmk-scripts
Tcwg-benchmark user has now its keys installed in /root/.ssh/authorized_keys on benchmarking boards, so after reboot we can wait for ssh server on port 22, and then call tcwg-update-bmk-containers.sh to make sure docker and host container are functioning on the board. Change-Id: I6235bc75e285e8cb60002d7cc6bf12a86c36ae2f
Diffstat (limited to 'tcwg-benchmark.sh')
-rwxr-xr-xtcwg-benchmark.sh13
1 files changed, 8 insertions, 5 deletions
diff --git a/tcwg-benchmark.sh b/tcwg-benchmark.sh
index 864415af..7c9fd544 100755
--- a/tcwg-benchmark.sh
+++ b/tcwg-benchmark.sh
@@ -309,7 +309,7 @@ while [ $tries_left != 0 ]; do
pdu_name=$(echo "${boardname%.tcwglab}" \
| sed -e 's/^tcwg-bmk-/tcwg-/')
nvidia-power-cycle.sh "$pdu_name"
- wait_for_ssh_server "$boardname" "" 100
+ wait_for_ssh_server "$boardname" 22 100
) &
wait $! || exit $EXTERNAL_FAIL
echo "Successfully powered-cycled $boardname"
@@ -322,7 +322,7 @@ while [ $tries_left != 0 ]; do
# Wait until the ssh server is ready
sleep 30 # Give time to the board to shutdown
ret=0
- wait_for_ssh_server "$boardname" "" 100 || ret=$?
+ wait_for_ssh_server "$boardname" 22 100 || ret=$?
if [ $ret != 0 ]; then
echo "SSH server did not respond after reboot, exiting."
exit $EXTERNAL_FAIL
@@ -330,7 +330,11 @@ while [ $tries_left != 0 ]; do
fi
fi
- rsync -az --delete bmk-scripts/ "$boardname:bmk-scripts/" &
+ (
+ $scripts/tcwg-update-bmk-containers.sh --board "$boardname" \
+ --test_docker true
+ rsync -az --del bmk-scripts/ "$boardname:bmk-scripts/"
+ ) &
res=0 && wait $! || res=$?
if [ $res = 0 ]; then
break
@@ -355,8 +359,7 @@ if $prepare_board; then
# test that taskset works
remote_exec "$boardname:::-t -Snone" \
sudo /usr/local/bin/benchmark.sh --hw_tag "$hw_tag" \
- --action start_board --verbose \
- --image "linaro/ci-$image_arch-tcwg-build-ubuntu:$bench_container_tag" &
+ --action start_board --verbose &
res=0 && wait $! || res=$?
if [ $res != 0 ]; then